﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Office.Tools.Ribbon;
using System.IO;
using Word = Microsoft.Office.Interop.Word;

namespace WordAddInPublishing
{
    public partial class Ribbon
    {
        private void Ribbon_Load(object sender, RibbonUIEventArgs e)
        {

        }

        private void btnPDF_Click(object sender, RibbonControlEventArgs e)
        {

            string desktopFolder = Environment.GetFolderPath(Environment.SpecialFolder.Desktop);
            string fileName = "QuickExport.pdf";

            Globals.ThisAddIn.Application.ActiveDocument.ExportAsFixedFormat(
                Path.Combine(desktopFolder, fileName),
                Word.WdExportFormat.wdExportFormatPDF,
                OpenAfterExport: true);
        }

        private void btnXps_Click(object sender, RibbonControlEventArgs e)
        {
            string desktopFolder = Environment.GetFolderPath(Environment.SpecialFolder.Desktop);
            string fileName = "QuickExport.xps";

            Globals.ThisAddIn.Application.ActiveDocument.ExportAsFixedFormat(
                Path.Combine(desktopFolder, fileName),
                Word.WdExportFormat.wdExportFormatXPS,
                OpenAfterExport: true);
        }
    }
}
